require 'redmine'
require File.dirname(__FILE__) + "/lib/mt"

Redmine::Plugin.register :traceability_matrix do
  name 'Traceability Matrix plugin'
  author 'SeaSideTech'
  description 'This is a plugin that add traceability matrix feature'
  version '0.1.0'
  url 'http://www.seasidetech.net/en/plugins-redmine---matrice-de-tracabilite-gc21.html'
  author_url 'http://www.seasidetech.net/en/index.php'


  Rails.configuration.after_initialize do
    I18n.with_locale(Setting.default_language) do
      name I18n.t :'traceability_matrix.plugin_name'
      description I18n.t :'traceability_matrix.plugin_description'
    end
  end
  author 'SeaSideTech'
  version '0.1'

  settings :default => {'tracker0' => nil, 'tracker1' => nil, 'tracker2' => nil},
  :partial => 'settings/traceability'

  # This plugin adds a project module
  # It can be enabled/disabled at project level (Project settings -> Modules)
  project_module :traceability do
    # This permission has to be explicitly given
    # It will be listed on the permissions screen
    permission :view_mt, {:mt => [:index]}
  end

  # A new item is added to the project menu
  menu :project_menu, :traceability_matrix,
  {:controller => 'mt', :action => 'index'},
  :caption => :'traceability_matrix.menu_item_name',
  :param => :project_id
end
